import java.util.Random;

public class Test {

    public static void main(String[] args) {
        EVListe<String> sliste = new EVListe<String>();
	Random random = new Random();
	int size;
	int k;

	// Test: Liste mit append() aufbauen
	for (int i=0 ; i<args.length ; i++) {
	    sliste.append(args[i]);
	}

	// Test: Listenlaenge size() und sizeR()
	System.out.printf("size: %d\n", sliste.size());
	System.out.printf("sizeR: %d\n", sliste.sizeR());

	// Test: Loeschen mit remove()
	while ( sliste.size() > 0 ) {
	    System.out.println(sliste.getFirst());
	    sliste.remove();
	}

	// Test: rueckwaerts aufbauen mit insert()
	for (int i=args.length-1 ; i>=0 ; i--) {
	    sliste.insert(args[i]);
	}
	System.out.printf("size: %d\n", sliste.size());
	System.out.printf("sizeR: %d\n", sliste.sizeR());

	// Test: remove2(), dann Liste abbauen mit remove(0)
	sliste.remove2();
	while ( sliste.sizeR() > 0 ) {
	    System.out.println(sliste.getFirst());
	    sliste.remove(0);
	}

	// Test: Liste auf- und zufaellig abbauen mit remove(k)
	for (int i=0 ; i<args.length ; i++) {
	    sliste.append(args[i]);
	}
	while ( (size=sliste.sizeR()) > 0 ) {
	    k = random.nextInt(size);
	    sliste.remove(k);
	    System.out.print('+');
	}
	System.out.println();
    }
}
